##
##  libflaim.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libflaim
Summary:      FLAIM Database Engine
URL:          http://www.libflaim.org/
Vendor:       Novell
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      GPL
Version:      4.9.989
Release:      20080101

#   list of sources
Source0:      http://forgeftp.novell.com/flaim/development/flaim/downloads/source/libflaim-%{version}.tar.gz
Patch0:       libflaim.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, make, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    FLAIM is an embeddable cross-platform database engine with a C++
    API that provides a rich, powerful, easy-to-use feature set. It is
    the database engine used by Novell eDirectory. It has proven to be
    highly scalable, reliable, and robust.

%track
    prog libflaim = {
        version   = %{version}
        url       = http://forge.novell.com/modules/xfmod/project/?flaim
        regex     = libflaim-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags} \
        install_prefix=%{l_prefix} \
        usegcc release all

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} \
        install_prefix=$RPM_BUILD_ROOT%{l_prefix} \
        MKDIR="%{l_shtool} mkdir" \
        INSTALL="%{l_shtool} install" \
        install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    for util in checkdb dbshell rebuild view; do
        %{l_shtool} install -c -s -m 755 \
            build/*/release/util/$util \
            $RPM_BUILD_ROOT%{l_prefix}/bin/flaim-$util
    done
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

